/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IOpenIconAdapter } from './open-icon-adapter';
export interface IOpenIconFoundation extends ICustomElementFoundation {
    open: boolean;
}
export declare class OpenIconFoundation implements IOpenIconFoundation {
    private _adapter;
    private _open;
    private _orientation;
    constructor(_adapter: IOpenIconAdapter);
    initialize(): void;
    /** Controls the open state of the icon. */
    get open(): boolean;
    set open(value: boolean);
    get orientation(): string;
    set orientation(value: string);
}
